Message Board

http:BL Use/Development

Older Posts ]   [ Newer Posts ]
 apxs compilation errors with mod_httpbl.c
Author: D.Flanigan   (11 Jan 15 11:48am)
Hello,

I am working to get mod_httpbl working with CentOS 7 and Apache 2.4.6.

Running "apxs -c -i -a ./mod_httpbl.c gets me several pages of errors. Most of the errors are just warnings:

mod_httpbl.c:4017:7: warning: suggest explicit braces to avoid ambiguous 'else'
mod_httpbl.c:4228:21: warning: unused variable 'len' [-Wunused-variable]
mod_httpbl.c:5522:5: warning: implicit declaration of function 'ap_get_server_version' [-Wimplicit-function-declaration]

With several instances of the following error:
mod_httpbl.c:5514:79: error: 'conn_rec' has no member named 'remote_ip'

The net result is a failure:
apxs:Error: Command failed with rc=65536

Would anyone have any idea on a work around or what I may be doing incorrectly?
 
 Re: apxs compilation errors with mod_httpbl.c
Author: H.User1325   (11 Jan 15 2:40pm)
Have you tried:

* If you are having problems installing, running, or understanding how to use the module,
* head over to:
* http://sourceforge.com/projects/httpbl/
* and tell those developers about your issues. Chances are that if you don't understand
* something about this documentation, there is probably someone else out there with the
* same troubles. We would like to hear about it and help you out.

Sorry not much help but from the errors it looks to me like an install issue not a HP issue.



do not follow this link

Privacy Policy | Terms of Use | About Project Honey Pot | FAQ | Cloudflare Site Protection | Contact Us

Copyright © 2004–17, Unspam Technologies, Inc. All rights reserved.

contact | wiki | email